### Method

# Fwupd Device add_problem

since: 1.8.1

#### Declaration [src]

    void
    fwupd_device_add_problem (
      FwupdDevice* self,
      FwupdDeviceProblem problem
    )

#### Description [src]

Adds a specific device problem kind to the device.

Available since: 1.8.1

#### Parameters

`problem`

  Type: `FwupdDeviceProblem`

  The `FwupdDeviceProblem`, e.g. #FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW.